Sponsor:

Server and Web Integrator
Link:
Kloxo-MR logo
6.5.0 or 7.0.0
Click for "How to install"
Donation/Sponsorship:
Kloxo-MR is open-source.
Donate and or Sponsorship always welcome.
Click to:
Click Here
Please login or register. 2021-01-16, 05:45:20

Author Topic: Yum update error  (Read 9040 times)

0 Members and 1 Guest are viewing this topic.

Offline hafidz

  • Valuable Member
  • *
  • Posts: 83
  • Karma: +0/-0
    • View Profile
Yum update error
« on: 2016-08-11, 12:53:40 »
saya menggunakan Kloxo-MR: 7.0.0.b-2016061502. pada akhir baris update muncul
Quote
--> Running transaction check
---> Package MariaDB-compat.x86_64 0:10.0.26-1.el6 will be installed
--> Processing Conflict: mysql55-libs-5.5.49-1.ius.el6.x86_64 conflicts mysql-libs < 5.5
--> Finished Dependency Resolution
Error: mysql55-libs conflicts with MariaDB-compat-10.0.26-1.el6.x86_64
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Mohon pencerahannya..
Terimakasih sebelumnya..

Online MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,807
  • Karma: +119/-11
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: Yum update error
« Reply #1 on: 2016-08-11, 13:16:01 »
Lakukan langkah:
Code: [Select]
yum update mratwork* -y
yum clean all
yum update -y
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline hafidz

  • Valuable Member
  • *
  • Posts: 83
  • Karma: +0/-0
    • View Profile
Re: Yum update error
« Reply #2 on: 2016-08-11, 13:44:11 »
Masih tetap sama hasilnya.. berikut hasil dari tiga peritah tersebut..

Quote
[root@hosting ~]# yum update mratwork* -y
Loaded plugins: fastestmirror, priorities, protectbase, replace, security
Setting up Update Process
Loading mirror speeds from cached hostfile
 * mratwork-epel: fedora.dionipe.web.id
 * mratwork-ius-stable: hkg.mirror.rackspace.com
 * mratwork-release-neutral-noarch: rpms.potissima.com
 * mratwork-release-version-arch: rpms.potissima.com
 * mratwork-testing-neutral-noarch: rpms.potissima.com
 * mratwork-webtatic: sp.repo.webtatic.com
0 packages excluded due to repository protections
No Packages marked for Update

Quote
[root@hosting ~]# yum clean all
Loaded plugins: fastestmirror, priorities, protectbase, replace, security
Cleaning repos: base extras mratwork-epel mratwork-google-mod-pagespeed
              : mratwork-ius-archive mratwork-ius-stable mratwork-mariadb
              : mratwork-nginx mratwork-nginx-stable
              : mratwork-release-neutral-noarch mratwork-release-version-arch
              : mratwork-testing-neutral-noarch mratwork-varnish-3.0
              : mratwork-webtatic updates
Cleaning up Everything
Cleaning up list of fastest mirrors

Quote
[root@hosting ~]# yum update -y
Loaded plugins: fastestmirror, priorities, protectbase, replace, security
Setting up Update Process
Loading mirror speeds from cached hostfile
mratwork-epel/metalink                                   | 6.2 kB     00:00     
 * mratwork-epel: fedora.dionipe.web.id
 * mratwork-ius-stable: syd.mirror.rackspace.com
 * mratwork-release-neutral-noarch: rpms.potissima.com
 * mratwork-release-version-arch: rpms.potissima.com
 * mratwork-testing-neutral-noarch: rpms.potissima.com
 * mratwork-webtatic: sp.repo.webtatic.com
base                                                     | 3.7 kB     00:00     
base/primary_db                                          | 4.6 MB     00:02     
extras                                                   | 3.4 kB     00:00     
extras/primary_db                                        |  37 kB     00:00     
mratwork-epel                                            | 4.3 kB     00:00     
mratwork-epel/primary_db                                 | 5.9 MB     00:52     
mratwork-google-mod-pagespeed                            |  951 B     00:00     
mratwork-google-mod-pagespeed/primary                    | 3.5 kB     00:00     
mratwork-google-mod-pagespeed                                             22/22
mratwork-ius-archive                                     | 2.3 kB     00:00     
mratwork-ius-archive/primary_db                          | 3.8 MB     00:33     
mratwork-ius-stable                                      | 2.2 kB     00:00     
mratwork-ius-stable/primary_db                           | 206 kB     00:01     
mratwork-mariadb                                         | 2.9 kB     00:00     
mratwork-mariadb/primary_db                              |  22 kB     00:00     
mratwork-nginx                                           | 2.9 kB     00:00     
mratwork-nginx/primary_db                                |  39 kB     00:00     
mratwork-nginx-stable                                    | 2.9 kB     00:00     
mratwork-nginx-stable/primary_db                         |  15 kB     00:00     
mratwork-release-neutral-noarch                          | 1.3 kB     00:00     
mratwork-release-neutral-noarch/primary                  |  94 kB     00:01     
mratwork-release-neutral-noarch                                         343/343
mratwork-release-version-arch                            | 1.2 kB     00:00     
mratwork-release-version-arch/primary                    | 103 kB     00:01     
mratwork-release-version-arch                                           278/278
mratwork-testing-neutral-noarch                          | 1.2 kB     00:00     
mratwork-testing-neutral-noarch/primary                  | 6.1 kB     00:00     
mratwork-testing-neutral-noarch                                           30/30
mratwork-varnish-3.0                                     |  951 B     00:00     
mratwork-varnish-3.0/primary                             | 9.4 kB     00:00     
mratwork-varnish-3.0                                                      40/40
mratwork-webtatic                                        | 3.6 kB     00:00     
mratwork-webtatic/primary_db                             | 169 kB     00:01     
updates                                                  | 3.4 kB     00:00     
updates/primary_db                                       | 5.2 MB     00:02     
0 packages excluded due to repository protections
Resolving Dependencies
--> Running transaction check
---> Package courier-imap-toaster.x86_64 0:4.1.2-1.3.19.mr.el6 will be updated
---> Package courier-imap-toaster.x86_64 0:4.1.2-1.3.20.mr.el6 will be obsoleting
---> Package dovecot-toaster.x86_64 1:2.2.24-1.mr.el6 will be obsoleting
--> Processing Dependency: perl(JSON::XS) for package: 1:dovecot-toaster-2.2.24-1.mr.el6.x86_64
--> Processing Dependency: libmysqlclient.so.18(libmysqlclient_18)(64bit) for package: 1:dovecot-toaster-2.2.24-1.mr.el6.x86_64
---> Package kloxomr-webmail-roundcube.noarch 0:1.1.2-1.mr will be updated
---> Package kloxomr-webmail-roundcube.noarch 0:1.2.0-1.mr will be an update
---> Package kloxomr7.noarch 0:7.0.0.b-2016061502.mr will be updated
---> Package kloxomr7.noarch 0:7.0.0.b-2016081001.mr will be an update
---> Package maildrop-toaster.x86_64 0:2.0.3-1.3.9.mr.el6 will be updated
---> Package maildrop-toaster.x86_64 0:2.0.3-1.3.10.mr.el6 will be an update
---> Package perl-Geo-IP.x86_64 0:1.38-6.el6 will be updated
---> Package perl-Geo-IP.x86_64 0:1.45-1.el6.pp will be an update
---> Package qmail-pop3d-toaster.x86_64 0:1.03-1.3.55.mr.el6 will be obsoleted
--> Running transaction check
---> Package MariaDB-shared.x86_64 0:10.0.26-1.el6 will be installed
--> Processing Dependency: MariaDB-common for package: MariaDB-shared-10.0.26-1.el6.x86_64
---> Package perl-JSON-XS.x86_64 1:2.27-2.el6 will be installed
--> Processing Dependency: perl(common::sense) for package: 1:perl-JSON-XS-2.27-2.el6.x86_64
--> Running transaction check
---> Package MariaDB-common.x86_64 0:10.0.26-1.el6 will be installed
--> Processing Dependency: MariaDB-compat for package: MariaDB-common-10.0.26-1.el6.x86_64
---> Package perl-common-sense.noarch 0:3.5-1.el6 will be installed
--> Running transaction check
---> Package MariaDB-compat.x86_64 0:10.0.26-1.el6 will be installed
--> Processing Conflict: mysql55-libs-5.5.49-1.ius.el6.x86_64 conflicts mysql-libs < 5.5
--> Finished Dependency Resolution
Error: mysql55-libs conflicts with MariaDB-compat-10.0.26-1.el6.x86_64
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Online MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,807
  • Karma: +119/-11
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: Yum update error
« Reply #3 on: 2016-08-11, 13:51:32 »
Coba:
Code: [Select]
yum remove mratwork* -y
rpm -ivh https://github.com/mustafaramadhan/kloxo/raw/rpms/release/neutral/noarch/mratwork-release-0.0.1-1.noarch.rpm
yum clean all
yum update mratwork* -y
clean all
yum update -y
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline hafidz

  • Valuable Member
  • *
  • Posts: 83
  • Karma: +0/-0
    • View Profile
Re: Yum update error
« Reply #4 on: 2016-08-11, 14:19:46 »
error masih tetap sama persis pada "yum update" haruskah saya melakukan "yum update --skip-broken" ?

Online MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,807
  • Karma: +119/-11
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: Yum update error
« Reply #5 on: 2016-08-11, 14:48:59 »
Infokan:
Code: [Select]
dir -l /etc/yum.repos.d
cat /etc/yum.repos.d/mratwork.repo|grep exclude
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline hafidz

  • Valuable Member
  • *
  • Posts: 83
  • Karma: +0/-0
    • View Profile
Re: Yum update error
« Reply #6 on: 2016-08-11, 15:01:33 »
Hasilnya seperti dibawah berikut ini

Quote
[root@hosting ~]# dir -l /etc/yum.repos.d
total 60
-rw-r--r--. 1 root root 1931 Apr 14 2014 CentOS-Base.repo
-rw-r--r--  1 root root 1991 Agu  3 2015 CentOS-Base.repo.rpmnew
-rw-r--r--  1 root root  647 Agu  3 2015 CentOS-Debuginfo.repo
-rw-r--r--  1 root root  289 Agu  3 2015 CentOS-fasttrack.repo
-rw-r--r--  1 root root  630 Agu  3 2015 CentOS-Media.repo
-rw-r--r--  1 root root 6259 Agu  3 2015 CentOS-Vault.repo
-rw-r--r--  1 root root 9241 Agu 11 19:06 mratwork.repo
-rw-r--r--  1 root root 6597 Nov  9 2014 mratwork.repo_bak
-rw-r--r--  1 root root 9242 Agu 11 12:03 mratwork.repo.rpmsave

Quote
[root@hosting ~]# cat /etc/yum.repos.d/mratwork.repo|grep exclude
exclude=mysql5* mysql56*
exclude=mysql5* mysql56*
exclude=mysql5* mysql56*
exclude=mysql* nginx*
exclude=postfix* exim* ssmtp* pdns*
exclude=cairo*
exclude=clam*

Online MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,807
  • Karma: +119/-11
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: Yum update error
« Reply #7 on: 2016-08-11, 15:24:48 »
Anda pakai MariaDB atau MySQL?. Infokan 'yum list installed MariaDB* mysql*'.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline hafidz

  • Valuable Member
  • *
  • Posts: 83
  • Karma: +0/-0
    • View Profile
Re: Yum update error
« Reply #8 on: 2016-08-11, 15:38:08 »
saya menggunakan MYSQL
hasil "sh /script/sysinfo"
Quote
C. Services:
   1. MySQL: mysql55-5.5.49-1.ius.el6.x86_64

sedangkan hasil "yum list installed MariaDB* mysql*"
Quote
[root@hosting ~]# yum list installed MariaDB* mysql*
Loaded plugins: fastestmirror, priorities, protectbase, replace, security
Loading mirror speeds from cached hostfile
 * mratwork-epel: fedora.dionipe.web.id
 * mratwork-ius-stable: mirror.team-cymru.org
 * mratwork-release-neutral-noarch: rpms.potissima.com
 * mratwork-release-version-arch: rpms.potissima.com
 * mratwork-webtatic: sp.repo.webtatic.com
0 packages excluded due to repository protections
Installed Packages
mysql55.x86_64                  5.5.49-1.ius.el6            @mratwork-ius-stable
mysql55-libs.x86_64             5.5.49-1.ius.el6            @mratwork-ius-stable
mysql55-server.x86_64           5.5.49-1.ius.el6            @mratwork-ius-stable
mysqlclient16.x86_64            5.1.61-4.ius.el6            @mratwork-ius-stable


Online MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,807
  • Karma: +119/-11
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: Yum update error
« Reply #9 on: 2016-08-11, 15:42:53 »
Makanya jadi bentrok. Anda cari 'penyakit' sendiri nanti-nantinya.

Pada kasus anda, tambahkan 'exclude=MariaDB* mariadb*' pada '/etc/yum.conf'.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline hafidz

  • Valuable Member
  • *
  • Posts: 83
  • Karma: +0/-0
    • View Profile
Re: Yum update error
« Reply #10 on: 2016-08-11, 15:57:39 »
untuk error yagng MSQL sudah tidak muncul lagi.. akan tetapi sekarang "yum update" muncul error
Quote
Error: Package: 1:dovecot-toaster-2.2.24-1.mr.el6.x86_64 (mratwork-release-version-arch)
           Requires: libmysqlclient.so.18(libmysqlclient_18)(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Online MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,807
  • Karma: +119/-11
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: Yum update error
« Reply #11 on: 2016-08-11, 16:03:14 »
Nah, itu dia. Dovecot dicompile dalam lingkungan MariaDB (sudah include  libmysqlclient.so.18). MySQL55 hanya include libmysqlclient.so.16).
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline hafidz

  • Valuable Member
  • *
  • Posts: 83
  • Karma: +0/-0
    • View Profile
Re: Yum update error
« Reply #12 on: 2016-08-11, 16:24:19 »
untuk switch dari mysql ke mariadb bisakah lewat panel kloxo-mr kah?

Online MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,807
  • Karma: +119/-11
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: Yum update error
« Reply #13 on: 2016-08-11, 16:48:38 »
Jalankan 'sh /script/mysql-to-mariadb' dari ssh.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline hafidz

  • Valuable Member
  • *
  • Posts: 83
  • Karma: +0/-0
    • View Profile
Re: Yum update error
« Reply #14 on: 2016-08-11, 17:38:01 »
switch ke mariadb gagal dan dekarang mysqlnya tidak jalan lagi.. hasil 'sh /script/sysinfo'
Quote
C. Services:
   1. MySQL: --uninstalled--
bagaimana saya mengembalikan suapaya mysql bisa berjalan kembali..?
saya juga sudah coba melakukan 'sh /script/upcp' juga belum bisa menggembalikan mysqlnya.

« Last Edit: 2016-08-11, 17:40:54 by hafidz »

 


Top 4 Global Search Engines:    Google    Bing    Baidu    Yahoo
Click Here

Page created in 0.045 seconds with 22 queries.

web stats analysis